GRAPH1D_REGISTER_DESTROY_FUNC(3)

EXPERIMENTAL_FUNC
graph1d_register_destroy_func - Register destroy callback.

SYNOPSIS
#include <karma_graph1d.h>

KCallbackFunc graph1d_register_destroy_func

(KViewableGraph vgraph, void (*func) (), void *info)

DESCRIPTION
This routine will register a destroy function for a viewable graph. The function will be called when the canvas is destroyed. Many destroy functions may be registered per graph. The first function registered is the first function called upon destruction.

vgraph
    The viewable graph.

func
    The function that is called when the graph is destroyed. The prototype function is <-graph1d_PROTO_destroy_func->.

info
    The arbitrary function information pointer.

RETURN VALUE
A KCallbackFunc object. On failure, the process aborts.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/